Subject: Re: [PATCH v2 0/3] Teach fetch and pull to recursively fetch submodules too

From: Chris Packham <[email-masked]>
Date: Thu, 14 Oct 2010 11:31:10 -0700

On 14/10/10 11:14, Jens Lehmann wrote:
> Am 14.10.2010 03:01, schrieb Chris Packham:
>> For modules they are working on they to rebase their working branch to
>> the SHA1 recorded in the superproject. I think this kind of thing has
>> already been discussed on the list, not sure that I've seen a solution
>> that would work for us. For now all of this is is wrapped in a script
>> for the developers.
> 
> I assume you know the "--rebase" option and the "update=rebase" config
> setting for "git submodule update" and they don't work for you?
>

That's news to me. Our most of our developers are running git 1.6.3 so
it won't work for them. I'll start changing our scripts to at least set
that variable in preparation for our next update (probably won't be for
a while). I can test it out on my PC and see if it suits our workflow.

> 
>> Developers would probably want the fetch-if-super-gitlink-has-changed
>> behaviour.
> 
> Yeah, I think we need to support the fetch-if-super-gitlink-has-changed,
> always-fetch-all and never-fetch behavior. So in your example you could
> set fetch-if-super-gitlink-has-changed in the global config and use
> fetch-all for the submodule you are hacking on by changing its config
> if you want that.
> 
> 
>> Hope that is a useful use-case.
> 
> Sure, thanks!